NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Tooling.BendOperationBuilder Class Reference

Represents a NXOpen.Tooling.BendOperationBuilder builder. More...

Inheritance diagram for NXOpen.Tooling.BendOperationBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  OverbendOptions { ResizeBendAngle, ResizeBendRadius }
 The overbend option. More...
 
enum  Prebend {
  Two, Three, Four, Five,
  Six
}
 The number of children bends of prebend. More...
 
enum  Types { Unbend, Rebend, Prebend, Overbend }
 unbend operations. More...
 

Properties

unsafe bool AlternateResult [get, set]
 Returns or sets the switch to set if use an alternate result. More...
 
unsafe NXOpen.Body BaseBody [get, set]
 Returns or sets the base body. More...
 
unsafe double BendAngle1 [get, set]
 Returns or sets the first angle of prebend. More...
 
unsafe double BendAngle2 [get, set]
 Returns or sets the second angle of prebend. More...
 
unsafe double BendAngle3 [get, set]
 Returns or sets the third angle of prebend. More...
 
unsafe double BendAngle4 [get, set]
 Returns or sets the fourth angle of prebend. More...
 
unsafe double BendAngle5 [get, set]
 Returns or sets the fifth angle of prebend. More...
 
unsafe double BendDevLength [get, set]
 Returns or sets the operation to developed length of a bend. More...
 
unsafe double BendNeutralFactor [get, set]
 Returns or sets the operation of k factor for a single bend. More...
 
unsafe
NXOpen.Tooling.BendOperationBuilder.Prebend 
BendNumPrebends [get, set]
 Returns or sets the number of prebends. More...
 
unsafe
NXOpen.Tooling.DefineNeutralFactorBuilder 
DefineNeutralFactor [get]
 Returns the define neutral factor builder which contains new neutral factor, part material and bend developed length More...
 
unsafe bool FixTabFlangePosition [get, set]
 Returns or sets the switch to set if fixed tab or flange position while resize bend radius. More...
 
unsafe bool KeepRadiusFixed [get, set]
 Returns or sets the keep radius fixed. More...
 
unsafe double OverbendAngle [get, set]
 Returns or sets the overbend angle. More...
 
unsafe
NXOpen.Tooling.BendOperationBuilder.OverbendOptions 
OverbendOption [get, set]
 Returns or sets the overbend option More...
 
unsafe double OverbendRadius [get, set]
 Returns or sets the overbend radius. More...
 
unsafe NXOpen.SelectEdgeList ReferObject [get]
 Returns the reference objects. More...
 
unsafe bool ResizeRadius [get, set]
 Returns or sets the resize radius. More...
 
unsafe bool RestorePosition [get, set]
 Returns or sets the switch to set whether restore the overbend part position. More...
 
unsafe NXOpen.SelectFaceList SelectedBend [get]
 Returns the selection of bends. More...
 
unsafe
NXOpen.Tooling.BendOperationBuilder.Types 
Type [get, set]
 Returns or sets the type. More...
 
unsafe
NXOpen.Assemblies.SelectComponent 
WorkPart [get]
 Returns the work part. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Tooling.BendOperationBuilder builder.

To create a new instance of this class, use NXOpen.Tooling.BendOperationCollection.CreateBendOperationBuilder

Default values.

Property Value

AlternateResult

0

BendAngle1

30

BendAngle2

30

BendAngle3

30

BendAngle4

30

BendAngle5

30

BendDevLength

0.0

BendNeutralFactor

0.4

BendNumPrebends

Two

DefineNeutralFactor.BendDevelopedLength

0

DefineNeutralFactor.NeutralFactor

0.40

DefineNeutralFactor.NeutralFactorFormula

General

DefineNeutralFactor.PartMaterial

08

FixTabFlangePosition

0

KeepRadiusFixed

0

OverbendAngle

0

OverbendOption

ResizeBendAngle

RestorePosition

0

Created in NX8.5.0

Member Enumeration Documentation

The overbend option.

Enumerator
ResizeBendAngle 

overbend by resize bend angle

ResizeBendRadius 

overbend by resize bend radius

The number of children bends of prebend.

Enumerator
Two 

two prebends

Three 

three prebends

Four 

four prebends

Five 

five prebends

Six 

six prebends

unbend operations.

Enumerator
Unbend 

unbend operation

Rebend 

rebend operation

Prebend 

prebend operation

Overbend 

overbend operation

Property Documentation

unsafe bool NXOpen.Tooling.BendOperationBuilder.AlternateResult
getset

Returns or sets the switch to set if use an alternate result.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Body NXOpen.Tooling.BendOperationBuilder.BaseBody
getset

Returns or sets the base body.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.BendOperationBuilder.BendAngle1
getset

Returns or sets the first angle of prebend.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.BendOperationBuilder.BendAngle2
getset

Returns or sets the second angle of prebend.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.BendOperationBuilder.BendAngle3
getset

Returns or sets the third angle of prebend.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.BendOperationBuilder.BendAngle4
getset

Returns or sets the fourth angle of prebend.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.BendOperationBuilder.BendAngle5
getset

Returns or sets the fifth angle of prebend.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.BendOperationBuilder.BendDevLength
getset

Returns or sets the operation to developed length of a bend.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.BendOperationBuilder.BendNeutralFactor
getset

Returns or sets the operation of k factor for a single bend.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.BendOperationBuilder.Prebend NXOpen.Tooling.BendOperationBuilder.BendNumPrebends
getset

Returns or sets the number of prebends.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.DefineNeutralFactorBuilder NXOpen.Tooling.BendOperationBuilder.DefineNeutralFactor
get

Returns the define neutral factor builder which contains new neutral factor, part material and bend developed length

Created in NX10.0.0

License requirements: None.

unsafe bool NXOpen.Tooling.BendOperationBuilder.FixTabFlangePosition
getset

Returns or sets the switch to set if fixed tab or flange position while resize bend radius.

Created in NX9.0.3

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.BendOperationBuilder.KeepRadiusFixed
getset

Returns or sets the keep radius fixed.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.BendOperationBuilder.OverbendAngle
getset

Returns or sets the overbend angle.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.BendOperationBuilder.OverbendOptions NXOpen.Tooling.BendOperationBuilder.OverbendOption
getset

Returns or sets the overbend option

Created in NX9.0.3

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.BendOperationBuilder.OverbendRadius
getset

Returns or sets the overbend radius.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.SelectEdgeList NXOpen.Tooling.BendOperationBuilder.ReferObject
get

Returns the reference objects.

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.Tooling.BendOperationBuilder.ResizeRadius
getset

Returns or sets the resize radius.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.BendOperationBuilder.RestorePosition
getset

Returns or sets the switch to set whether restore the overbend part position.

Created in NX9.0.3

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.SelectFaceList NXOpen.Tooling.BendOperationBuilder.SelectedBend
get

Returns the selection of bends.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Tooling.BendOperationBuilder.Types NXOpen.Tooling.BendOperationBuilder.Type
getset

Returns or sets the type.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Assemblies.SelectComponent NXOpen.Tooling.BendOperationBuilder.WorkPart
get

Returns the work part.

Created in NX6.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.